import { EntityRepository, Repository } from "typeorm";
import { ClearenceSaleSectionCmsEntity } from "./entities/clearence-sale-section-cms.entity";
import { UpdateClearenceSaleSectionCmsDto } from "./dto/update-clearence-sale-section-cms.dto";

@EntityRepository(ClearenceSaleSectionCmsEntity)
export class ClearenceSaleSectionCmsRepository extends Repository<ClearenceSaleSectionCmsEntity> {

    async createEntity(dto: UpdateClearenceSaleSectionCmsDto): Promise<ClearenceSaleSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                leftSideImage: dto.leftSideImage,
                title: dto.title,
                subTitle: dto.subTitle,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateClearenceSaleSectionCmsDto, id: string): Promise<ClearenceSaleSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                leftSideImage: dto.leftSideImage,
                title: dto.title,
                subTitle: dto.subTitle,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ClearenceSaleSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}