import { EntityRepository, Repository } from "typeorm";
import { UpdateContactUsPageCmsDto } from "./dto/update-contact-us-page-cms.dto";
import { ContactUsPageCmsEntity } from "./entities/contact-us-page-cms.entity";

@EntityRepository(ContactUsPageCmsEntity)
export class ContactUsPageCmsRepository extends Repository<ContactUsPageCmsEntity> {

    async createEntity(dto: UpdateContactUsPageCmsDto): Promise<ContactUsPageCmsEntity | Error> {
        try {
            const entity = this.create({
                address: dto.address,
                phone: dto.phone,
                email: dto.email,
                pageTitle: dto.pageTitle,
                formTitle: dto.formTitle,
                formSubTitle: dto.formSubTitle,
                formButtonText: dto.formButtonText,
                weekDayOpenTime: dto.weekDayOpenTime,
                weekDayCloseTime: dto.weekDayCloseTime,
                weekendOpenTime: dto.weekendOpenTime,
                weekendCloseTime: dto.weekendCloseTime,
                socialMediaTitle: dto.socialMediaTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateContactUsPageCmsDto, id: string): Promise<ContactUsPageCmsEntity | Error> {
        try {
            await this.update(id, {
                address: dto.address,
                phone: dto.phone,
                email: dto.email,
                pageTitle: dto.pageTitle,
                formTitle: dto.formTitle,
                formSubTitle: dto.formSubTitle,
                formButtonText: dto.formButtonText,
                weekDayOpenTime: dto.weekDayOpenTime,
                weekDayCloseTime: dto.weekDayCloseTime,
                weekendOpenTime: dto.weekendOpenTime,
                weekendCloseTime: dto.weekendCloseTime,
                socialMediaTitle: dto.socialMediaTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ContactUsPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}