import {EntityRepository, Repository} from "typeorm";
import {UpsertHeaderCmsDto} from "./dto/upsert-header-cms.dto";
import {HeaderCms} from "./entities/header-cms.entity";

@EntityRepository(HeaderCms)
export class HeaderCmsRepository extends Repository<HeaderCms> {

    async createEntity(dto: UpsertHeaderCmsDto): Promise<HeaderCms | Error> {
        try {
            const entity = this.create({
                ...dto,
                helpLineText: dto.helpLineText,
                helpLineNumber: dto.helpLineNumber,
                searchPlaceholder: dto.searchPlaceholder,
                logo: dto.logo,
                buttonText: dto.buttonText ? dto.buttonText : null,
                buttonLink: dto.buttonLink ? dto.buttonLink : null
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpsertHeaderCmsDto, id: string): Promise<HeaderCms | Error> {
        try {
            await this.update(id, {
                ...dto,
                helpLineText: dto.helpLineText,
                helpLineNumber: dto.helpLineNumber,
                searchPlaceholder: dto.searchPlaceholder,
                logo: dto.logo,
                buttonText: dto.buttonText ? dto.buttonText : null,
                buttonLink: dto.buttonLink ? dto.buttonLink : null
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HeaderCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}