import {EntityRepository, Repository} from "typeorm";
import { LatestArrivalCmsEntity } from "./entities/latest-arrival-cms.entity";
import { UpdateLatestArrivalCmsDto } from "./dto/update-latest-arrival-cms.dto";

@EntityRepository(LatestArrivalCmsEntity)
export class LatestArrivalCmsRepository extends Repository<LatestArrivalCmsEntity> {

    async createEntity(dto: UpdateLatestArrivalCmsDto): Promise<LatestArrivalCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subtitle: dto.subtitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateLatestArrivalCmsDto, id: string): Promise<LatestArrivalCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subtitle: dto.subtitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<LatestArrivalCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}