import {EntityRepository, Repository} from "typeorm";
import { PrivacyPageCmsEntity } from "./entities/privacy-cms.entity";
import { UpdatePrivacyPageCmsDto } from "./dto/update-privacy-page-cms.dto";

@EntityRepository(PrivacyPageCmsEntity)
export class PrivacyPageCmsRepository extends Repository<PrivacyPageCmsEntity> {

    async createEntity(dto: UpdatePrivacyPageCmsDto): Promise<PrivacyPageCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdatePrivacyPageCmsDto, id: string): Promise<PrivacyPageCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PrivacyPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}