import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesServicerovider} from "../../SpacesModule/SpacesService";
import {DoSpacesService} from "../../SpacesModule/SpacesService/doSpacesService";
import {SocialMediaLinkService} from "./social-media-link.service";
import {SocialMediaLinkController} from "./social-media-link.controller";
import {SocialMediaLinkRepository} from "./social-media-link.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SocialMediaLinkRepository])
    ],
    controllers: [SocialMediaLinkController],
    providers: [SocialMediaLinkService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class SocialMediaLinkModule {
}
