import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { UsersRepository } from 'src/modules/users/user.repository';
import { GiftCardController } from './gift-card.controller';
import { GiftCardRepository } from './gift-card.repository';
import { GiftCardService } from './gift-card.service';

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([UsersRepository]),
    TypeOrmModule.forFeature([GiftCardRepository])
  ],
  controllers: [GiftCardController],
  providers: [GiftCardService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class GiftCardModule {}
