import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { ProductCareVariantsRepository } from './product-care-variants.repository';
import { ProductCareVariantsService } from './product-care-variants.service';
import { ProductCareVariantsController } from './product-care-variants.controller';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductCareVariantsRepository])
    ],
    controllers: [ProductCareVariantsController],
    providers: [ProductCareVariantsService, JwtHelper]
})
export class ProductCareVariantsModule {}
