import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { ProductPerksVariantsRepository } from './product-perks-variants.repository';
import { ProductPerksVariantsService } from './product-perks-variants.service';
import { ProductPerksVariantsController } from './product-perks-variants.controller';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductPerksVariantsRepository])
    ],
    controllers: [ProductPerksVariantsController],
    providers: [ProductPerksVariantsService, JwtHelper]
})
export class ProductPerksVariantsModule {}
