import {EntityRepository, Repository} from "typeorm";
import {UpdateSalesTaxCMSDto} from "./dto/update-sales-tax-cms.dto";
import {SalesTaxCMS} from "./entities/sales-tax-cms.entity";

@EntityRepository(SalesTaxCMS)
export class SalesTaxCMSRepository extends Repository<SalesTaxCMS> {

    async createEntity(dto: UpdateSalesTaxCMSDto): Promise<SalesTaxCMS | Error> {
        try {
            const entity = this.create({
                name: dto.name,
                salesTax: dto.salesTax
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateSalesTaxCMSDto, id: string): Promise<SalesTaxCMS | Error> {
        try {
            await this.update(id, {
                name: dto.name,
                salesTax: dto.salesTax
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SalesTaxCMS[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}