import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {FileUploadsService} from 'src/modules/file-uploads/file-uploads.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import {ShippingMethodCMSRepository} from './shipping-method-cms.repository';
import {ShippingMethodCMSController} from './shipping-method-cms.controller';
import {ShippingMethodCMSService} from './shipping-method-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ShippingMethodCMSRepository])
    ],
    controllers: [ShippingMethodCMSController],
    providers: [ShippingMethodCMSService, JwtHelper, FileUploadsService]
})
export class ShippingMethodCMSModule {
}